<style type="text/css">
	hr.pme-hr		     { border: 0px solid; padding: 0px; margin: 0px; border-top-width: 1px; height: 1px; }
	table.pme-main 	     { border: #004d9c 1px solid; border-collapse: collapse; border-spacing: 0px; width: 100%; }
	table.pme-navigation { border: #004d9c 0px solid; border-collapse: collapse; border-spacing: 0px; width: 100%; }
	td.pme-navigation-0, td.pme-navigation-1 { white-space: nowrap; }
	th.pme-header	     { border: #004d9c 1px solid; padding: 4px; background: #add8e6; }
	td.pme-key-0, td.pme-value-0, td.pme-help-0, td.pme-navigation-0, td.pme-cell-0,
	td.pme-key-1, td.pme-value-1, td.pme-help-0, td.pme-navigation-1, td.pme-cell-1,
	td.pme-sortinfo, td.pme-filter { border: #004d9c 1px solid; padding: 3px; }
	td.pme-buttons { text-align: left;   }
	td.pme-message { text-align: center; }
	td.pme-stats   { text-align: right;  }
</style>

<?php

include '../authenticate.php'; // this routine checks a list, and returns in $authuser the username entered 
include './includeRentalButtons.php';
include './includeRentalGetVariables.php';
include './includeRentalConstants.php';
include './authenticateRental.php';

// Pre-PME get data for header

// connect to database to get tenant information, including house ID to use later....

include 'includeRentalDatabaseConnect.php';
if (!$link) {die('Not connected : ' . mysql_error());}

// Load Query
$query = 
	sprintf("SELECT House from House WHERE HouseID = $HouseID");

// Perform Query
$result = mysql_query($query);

// Check result
if (!$result) {
    $message  = 'Invalid query: ' . mysql_error() . "\n";
    $message .= 'Whole query: ' . $query;
    die($message);
}

// Use result
// Attempting to print $result won't allow access to information in the resource
// One of the mysql result functions must be used
// See also mysql_result(), mysql_fetch_array(), mysql_fetch_row(), etc.

while ($row = mysql_fetch_assoc($result)) {
    $House = $row['House']; 
	if ($Debug) {echo "...House=$House;";}
}

// Free the resources associated with the result set
// This is done automatically at the end of the script
mysql_free_result($result);

//mysql_close($link);   // don't need to close here, we're going to use later

// should have the tenant info, now let's go get house info...

// connect to database
//include 'includeRentalDatabaseConnect.php';
//if (!$link) {
//    die('Not connected : ' . mysql_error());
//}

// make Rental the current db
//$db_selected = mysql_select_db('Rentals', $link);
//if (!$db_selected) {
//    die ('Can\'t use Rentals database : ' . mysql_error());
//}

// This is the best way to perform a SQL query
// For more examples, see mysql_real_escape_string()
$query = sprintf("SELECT House FROM House WHERE HouseID = $HouseID"
);         

// Perform Query
$result = mysql_query($query);

// Check result
// This shows the actual query sent to MySQL, and the error. Useful for debugging.
if (!$result) {
    $message  = 'Invalid query: ' . mysql_error() . "\n";
    $message .= 'Whole query: ' . $query;
    die($message);
}

// Use result

while ($row = mysql_fetch_assoc($result)) {
    $House = $row['House'];

}

// Free the resources associated with the result set
// This is done automatically at the end of the script
mysql_free_result($result);

echo "<H2>Expenses for '$House'...</H2>";

/*
 * IMPORTANT NOTE: This generated file contains only a subset of huge amount
 * of options that can be used with phpMyEdit. To get information about all
 * features offered by phpMyEdit, check official documentation. It is available
 * online and also for download on phpMyEdit project management page:
 *
 * http://platon.sk/projects/main_page.php?project_id=5
 *
 * This file was generated by:
 *
 *                    phpMyEdit version: 5.7.1
 *       phpMyEdit.class.php core class: 1.204
 *            phpMyEditSetup.php script: 1.121
 *              generating setup script: 1.50
 */

// MySQL host name, user name, password, database, and table
include 'includeRentalDatabaseConnectionInfo.php';
$opts['tb'] = 'HouseExpense';

// Name of field which is the unique key
$opts['key'] = 'ID';

// Type of key field (int/real/string/date etc.)
$opts['key_type'] = 'int';

// Sorting field(s)
$opts['sort_field'] = array('ID');

// Number of records to display on the screen
// Value of -1 lists all records in a table
$opts['inc'] = -1;

// Options you wish to give the users
// A - add,  C - change, P - copy, V - view, D - delete,
// F - filter, I - initial sort suppressed
$opts['options'] = 'ACV';

// Number of lines to display on multiple selection filters
$opts['multiple'] = '4';

// Navigation style: B - buttons (default), T - text links, G - graphic links
// Buttons position: U - up, D - down (default)
$opts['navigation'] = 'BD';

// Display special page elements
/*
$opts['display'] = array(
	'form'  => true,
	'query' => true,
	'sort'  => true,
	'time'  => true,
	'tabs'  => true,
	'num_pages' => false 
);
*/
// Set default prefixes for variables
$opts['js']['prefix']               = 'PME_js_';
$opts['dhtml']['prefix']            = 'PME_dhtml_';
$opts['cgi']['prefix']['operation'] = 'PME_op_';
$opts['cgi']['prefix']['sys']       = 'PME_sys_';
$opts['cgi']['prefix']['data']      = 'PME_data_';

/* Get the user's default language and use it if possible or you can
   specify particular one you want to use. Refer to official documentation
   for list of available languages. */
$opts['language'] = $_SERVER['HTTP_ACCEPT_LANGUAGE'] . '-UTF8';

/* Table-level filter capability. If set, it is included in the WHERE clause
   of any generated SELECT statement in SQL query. This gives you ability to
   work only with subset of data from table.

$opts['filters'] = "column1 like '%11%' AND column2<17";
$opts['filters'] = "section_id = 9";
$opts['filters'] = "PMEtable0.sessions_count > 200";
*/
if (isset($HouseID))
{
$opts['filters'] = "PMEtable0.HouseID = $HouseID";
}

/* Field definitions
   
Fields will be displayed left to right on the screen in the order in which they
appear in generated list. Here are some most used field options documented.

['name'] is the title used for column headings, etc.;
['maxlen'] maximum length to display add/edit/search input boxes
['trimlen'] maximum length of string content to display in row listing
['width'] is an optional display width specification for the column
          e.g.  ['width'] = '100px';
['mask'] a string that is used by sprintf() to format field output
['sort'] true or false; means the users may sort the display on this column
['strip_tags'] true or false; whether to strip tags from content
['nowrap'] true or false; whether this field should get a NOWRAP
['select'] T - text, N - numeric, D - drop-down, M - multiple selection
['options'] optional parameter to control whether a field is displayed
  L - list, F - filter, A - add, C - change, P - copy, D - delete, V - view
            Another flags are:
            R - indicates that a field is read only
            W - indicates that a field is a password field
            H - indicates that a field is to be hidden and marked as hidden
['URL'] is used to make a field 'clickable' in the display
        e.g.: 'mailto:$value', 'http://$value' or '$page?stuff';
['URLtarget']  HTML target link specification (for example: _blank)
['textarea']['rows'] and/or ['textarea']['cols']
  specifies a textarea is to be used to give multi-line input
  e.g. ['textarea']['rows'] = 5; ['textarea']['cols'] = 10
['values'] restricts user input to the specified constants,
           e.g. ['values'] = array('A','B','C') or ['values'] = range(1,99)
['values']['table'] and ['values']['column'] restricts user input
  to the values found in the specified column of another table
['values']['description'] = 'desc_column'
  The optional ['values']['description'] field allows the value(s) displayed
  to the user to be different to those in the ['values']['column'] field.
  This is useful for giving more meaning to column values. Multiple
  descriptions fields are also possible. Check documentation for this.
*/

$opts['fdd']['ID'] = array(
  'name'     => 'ID',
  'select'   => 'T',
  'options'  => 'AVCPDR', // auto increment
  'maxlen'   => 11,
  'default'  => '0',
  'sort'     => true
);
$opts['fdd']['HouseID'] = array(
  'name'     => 'House',
  'select'   => 'T',
  'maxlen'   => 11,
  'sort'     => true,
  'options'  => 'ACVD',
  'default'  => $HouseID
);
$opts['fdd']['HouseID']['values']['table']       = 'House'; 
$opts['fdd']['HouseID']['values']['column']      = 'HouseID'; 
$opts['fdd']['HouseID']['values']['description'] = 'House'; 

if (isset($HouseID))
{
$opts['fdd']['HouseID']['input'] .= 'R'; 
}

$opts['fdd']['HouseExpenseTypeID'] = array(
  'name'     => 'Type',
  'select'   => 'T',
  'maxlen'   => 11,
  'sort'     => true
);
$opts['fdd']['HouseExpenseTypeID']['values']['table']       = 'HouseExpenseType'; 
$opts['fdd']['HouseExpenseTypeID']['values']['column']      = 'HouseExpenseID'; 
$opts['fdd']['HouseExpenseTypeID']['values']['description'] = 'HouseExpenseType'; 

$opts['fdd']['Date'] = array(
  'name'     => 'Date',
  'select'   => 'T',
  'maxlen'   => 19,
  'sort'     => true,
  'default'  => date("Y-m-d", strtotime("now")),
  'colattrs|L' => 'align="center"',
  'datemask|L' => 'Y-m-d'
);
$opts['fdd']['HowPaid'] = array(
  'name'     => 'How Paid',
  'select'   => 'T',
  'maxlen'   => 20,
  'sort'     => true,
  'options'  => 'VCD'
);
$opts['fdd']['Amount'] = array(
  'name'     => 'Amount',
  'select'   => 'T',
  'maxlen'   => 22,
  'sort'     => true,
  'sql'      => '(CONCAT((FORMAT((PMEtable0.Amount),2))))',
  'sqlw'     => 'REPLACE("$val",",","")',
  'colattrs|L' => 'align="center"'
);
$opts['fdd']['SubmitTo'] = array(
  'name'     => 'SubmitTo',
  'select'   => 'T',
  'maxlen'   => 50,
  'sort'     => true,
  'options'  => 'VCD'
);
$opts['fdd']['Notes'] = array(
  'name'     => 'Notes',
  'select'   => 'T',
  'maxlen'   => 16777215,
  'textarea' => array(
    'rows' => 5,
    'cols' => 50),
  'sort'     => true,
  'options'  => 'VCDLA',
  'trimlen|L'  => 30
);

// Now important call to phpMyEdit
require_once 'phpMyEdit.class.php';
new phpMyEdit($opts);

if ($Debug) {echo "***Insert code here to hide menu if we are in *add* mode<br>";}

echo "<br>";
echo "<a href=\"./House.php\">***Return to MENU***></a>";

?>

