<style type="text/css">
	hr.pme-hr		     { border: 0px solid; padding: 0px; margin: 0px; border-top-width: 1px; height: 1px; }
	table.pme-main 	     { border: #004d9c 1px solid; border-collapse: collapse; border-spacing: 0px; width: 100%; }
	table.pme-navigation { border: #004d9c 0px solid; border-collapse: collapse; border-spacing: 0px; width: 100%; }
	td.pme-navigation-0, td.pme-navigation-1 { white-space: nowrap; }
	th.pme-header	     { border: #004d9c 1px solid; padding: 4px; background: #add8e6; }
	td.pme-key-0, td.pme-value-0, td.pme-help-0, td.pme-navigation-0, td.pme-cell-0,
	td.pme-key-1, td.pme-value-1, td.pme-help-0, td.pme-navigation-1, td.pme-cell-1,
	td.pme-sortinfo, td.pme-filter { border: #004d9c 1px solid; padding: 3px; }
	td.pme-buttons { text-align: left;   }
	td.pme-message { text-align: center; }
	td.pme-stats   { text-align: right;  }
</style>


<?php

include '../authenticate.php'; // this routine checks a list, and returns in $authuser the username entered 
include './includeRentalButtons.php';
include './includeRentalGetVariables.php';
include './includeRentalConstants.php';
include './authenticateRental.php';

// start of headerland

// connect to database
include 'includeRentalDatabaseConnect.php';

// use $HouseID to get current name of House for display

if (isset($HouseID))
{
if ($Debug) {echo "...HouseID is set to '$HouseID'; ";}
$query = sprintf("SELECT House FROM House WHERE HouseID = $HouseID");
if ($Debug) {echo "...query set to '$query'; ";}
// Perform Query
$result = mysql_query($query);
// Check result
// This shows the actual query sent to MySQL, and the error. Useful for debugging.
if (!$result) {
    $message  = 'Invalid query: ' . mysql_error() . "\n";
    $message .= 'Whole query: ' . $query;
    die($message);
}

// Use result
// Attempting to print $result won't allow access to information in the resource
// One of the mysql result functions must be used
// See also mysql_result(), mysql_fetch_array(), mysql_fetch_row(), etc.

while ($row = mysql_fetch_assoc($result)) {
    echo "<P><H2>Tenant List for... " . $row['House'] . "." . "</H2>";
// Free the resources associated with the result set
// This is done automatically at the end of the script
//mysql_close($link);

if ($Debug) {echo "...Got name of house, it is '$House', query done";}
}
if ($Debug) {echo "...now free result; ";}

mysql_free_result($result);


}
else
{echo "<P><H2>Tenant List for... ALL HOUSES</H2>";
}

// end of headerland




if ($Debug) {echo "house=$HouseID";}



/*
 * IMPORTANT NOTE: This generated file contains only a subset of huge amount
 * of options that can be used with phpMyEdit. To get information about all
 * features offered by phpMyEdit, check official documentation. It is available
 * online and also for download on phpMyEdit project management page:
 *
 * http://platon.sk/projects/main_page.php?project_id=5
 *
 * This file was generated by:
 *
 *                    phpMyEdit version: 5.7.1
 *       phpMyEdit.class.php core class: 1.204
 *            phpMyEditSetup.php script: 1.121
 *              generating setup script: 1.50
 */

// MySQL host name, user name, password, database, and table
include 'includeRentalDatabaseConnectionInfo.php';
$opts['tb'] = 'Tenant';

// Name of field which is the unique key
$opts['key'] = 'TenantID';

// Type of key field (int/real/string/date etc.)
$opts['key_type'] = 'int';

// Sorting field(s)
$opts['sort_field'] = array('DummyStartDate');

// Number of records to display on the screen
// Value of -1 lists all records in a table
$opts['inc'] = -1;

// Options you wish to give the users
// A - add,  C - change, P - copy, V - view, D - delete,
// F - filter, I - initial sort suppressed

$opts['options'] = 'VF';
if ($authSuperUser) {$opts['options'] .= 'AC';}

// Number of lines to display on multiple selection filters
$opts['multiple'] = '4';

// Navigation style: B - buttons (default), T - text links, G - graphic links
// Buttons position: U - up, D - down (default)
$opts['navigation'] = 'BUD';

$opts['buttons']['L']['up']   = array('add','view','change');
$opts['buttons']['L']['down'] = $opts['buttons']['L']['up'];


// Display special page elements
/*
$opts['display'] = array(
	'form'  => true,
	'query' => true,
	'sort'  => true,
	'time'  => true,
	'tabs'  => true,
	'num_pages' => false 
);
*/
// Set default prefixes for variables
$opts['js']['prefix']               = 'PME_js_';
$opts['dhtml']['prefix']            = 'PME_dhtml_';
$opts['cgi']['prefix']['operation'] = 'PME_op_';
$opts['cgi']['prefix']['sys']       = 'PME_sys_';
$opts['cgi']['prefix']['data']      = 'PME_data_';

/* Get the user's default language and use it if possible or you can
   specify particular one you want to use. Refer to official documentation
   for list of available languages. */
$opts['language'] = $_SERVER['HTTP_ACCEPT_LANGUAGE'] . '-UTF8';

/* Table-level filter capability. If set, it is included in the WHERE clause
   of any generated SELECT statement in SQL query. This gives you ability to
   work only with subset of data from table.

$opts['filters'] = "column1 like '%11%' AND column2<17";
$opts['filters'] = "section_id = 9";
$opts['filters'] = "PMEtable0.sessions_count > 200";
*/

if (isset($HouseID))
{
$opts['filters'] = "PMEtable0.TenantHouseID = $HouseID";
}

/* Field definitions
   
Fields will be displayed left to right on the screen in the order in which they
appear in generated list. Here are some most used field options documented.

['name'] is the title used for column headings, etc.;
['maxlen'] maximum length to display add/edit/search input boxes
['trimlen'] maximum length of string content to display in row listing
['width'] is an optional display width specification for the column
          e.g.  ['width'] = '100px';
['mask'] a string that is used by sprintf() to format field output
['sort'] true or false; means the users may sort the display on this column
['strip_tags'] true or false; whether to strip tags from content
['nowrap'] true or false; whether this field should get a NOWRAP
['select'] T - text, N - numeric, D - drop-down, M - multiple selection
['options'] optional parameter to control whether a field is displayed
  L - list, F - filter, A - add, C - change, P - copy, D - delete, V - view
            Another flags are:
            R - indicates that a field is read only
            W - indicates that a field is a password field
            H - indicates that a field is to be hidden and marked as hidden
['URL'] is used to make a field 'clickable' in the display
        e.g.: 'mailto:$value', 'http://$value' or '$page?stuff';
['URLtarget']  HTML target link specification (for example: _blank)
['textarea']['rows'] and/or ['textarea']['cols']
  specifies a textarea is to be used to give multi-line input
  e.g. ['textarea']['rows'] = 5; ['textarea']['cols'] = 10
['values'] restricts user input to the specified constants,
           e.g. ['values'] = array('A','B','C') or ['values'] = range(1,99)
['values']['table'] and ['values']['column'] restricts user input
  to the values found in the specified column of another table
['values']['description'] = 'desc_column'
  The optional ['values']['description'] field allows the value(s) displayed
  to the user to be different to those in the ['values']['column'] field.
  This is useful for giving more meaning to column values. Multiple
  descriptions fields are also possible. Check documentation for this.
*/

$opts['fdd']['TenantID'] = array(
  'name'     => 'TenantID',
  'select'   => 'T',
  'options'  => 'AVCPDR', // auto increment
  'maxlen'   => 11,
  'default'  => '0',
  'sort'     => true
);
if ($Debug) {$opts['fdd']['TenantID']['options'] .= 'L';}

$opts['fdd']['TenantName'] = array(
  'name'     => 'Tenant',
  'select'   => 'T',
  'maxlen'   => 50,
  'sort'     => true
);
$opts['fdd']['TenantHouseID'] = array(
  'name'     => 'House#',
  'select'   => 'T',
  'maxlen'   => 11,
  'sort'     => true,
  'options'  => 'ACDV'
);

if (isset($HouseID)) {
	$opts['fdd']['TenantHouseID']['default'] = $HouseID;
	$opts['fdd']['TenantHouseID']['input']   = 'R';        } // lock house if $House set

$opts['fdd']['TenantHouseID']['values']['table']       = 'House'; 
$opts['fdd']['TenantHouseID']['values']['column']      = 'HouseID'; 
$opts['fdd']['TenantHouseID']['values']['description'] = 'House'; 

$opts['fdd']['TenantPhoneNumber'] = array(
  'name'     => 'Phone#',
  'select'   => 'T',
  'maxlen'   => 50,
  'sort'     => true,
  'options'  => 'AVCD'
);
$opts['fdd']['TenantCurrentRent'] = array(
  'name'     => 'Rent',
  'select'   => 'T',
  'maxlen'   => 22,
  'required' => true,
  'sort'     => true
);
$opts['fdd']['TenantDeposit'] = array(
  'name'     => 'Deposit',
  'select'   => 'T',
  'maxlen'   => 22,
  'sort'     => true,
  'options'  => 'AVCD'
);
$opts['fdd']['TenantDepositReturned'] = array(
  'name'     => 'DepositReturned',
  'select'   => 'T',
  'maxlen'   => 22,
  'sort'     => true,
  'options'  => 'AVCD'
);
$opts['fdd']['TenantPetDep'] = array(
  'name'     => 'PetDep',
  'select'   => 'T',
  'maxlen'   => 22,
  'sort'     => true,
  'options'  => 'AVCD'
);
$opts['fdd']['TenantPetDepRtrn'] = array(
  'name'     => 'PetDepRtrn',
  'select'   => 'T',
  'maxlen'   => 22,
  'sort'     => true,
  'options'  => 'AVCD'
);
$opts['fdd']['TenantStartDate'] = array(
  'name'     => 'Start Date',
  'select'   => 'T',
  'maxlen'   => 19,
  'sort'     => true,
  'options'  => 'AVCDL',
  'require'  => true,
  'datemask|L' => 'Y-m-d'
//  'datemask|L' => 'n/j/y'
);
$opts['fdd']['TenantEndDate'] = array(
  'name'     => 'End Date',
  'select'   => 'T',
  'maxlen'   => 19,
  'sort'     => true,
  'options'  => 'AVCDL',
  'datemask|L' => 'Y-m-d'
//  'datemask|L' => 'n/j/y'
);
$opts['fdd']['TenantEndDate']['sqlw'] = 'IF($val_qas = "0000-00-00 00:00:00", NULL, $val_qas)'; // zero dates are really null
   // this is important because the active tenant has null end date

$opts['fdd']['TenantNotes'] = array(
  'name'     => 'Notes',
  'select'   => 'T',
  'maxlen'   => 16777215,
  'textarea' => array(
    'rows' => 5,
    'cols' => 50),
  'sort'     => true,
  'options'  => 'AVCD'
);
$opts['fdd']['DummyStartDate'] = array(
  'name'     => 'Start',
  'select'   => 'T',
  'maxlen'   => 22,
  'sort'     => true,
  'sql'      => 'TenantStartDate',
  'options'  => 'H'
);
$opts['fdd']['CalcSumOfCharges'] = array(
  'name'     => 'Charges',
  'select'   => 'T',
  'maxlen'   => 22,
  'sort'     => true,
  'sql'      => 'CONCAT("$",(FORMAT((SELECT SUM(TenantChargeAmount) FROM TenantCharge WHERE TenantChargeTenantID = PMEtable0.TenantID),2)))',
  'URL'      => './TenantCharge.php?TenantID=$key',
//  'URLtarget'
//             => '_blank',  
  'options'  => 'VL'
);
$opts['fdd']['CalcSumOfPayments'] = array(
  'name'     => 'Payments',
  'select'   => 'T',
  'maxlen'   => 22,
  'sort'     => true,
  'sql'      => 'CONCAT("$",(FORMAT((SELECT SUM(TenantPaymentAmount) FROM TenantPayment WHERE TenantPaymentTenantID = PMEtable0.TenantID),2)))',
  'URL'      => './TenantPayment.php?TenantID=$key',
//  'URLtarget' 
//             => '_blank',  
  'options'  => 'VL'
);
/*
$opts['fdd']['CalcCountOfPayments'] = array(
  'name'     => 'Due',
  'select'   => 'T',
  'maxlen'   => 22,
  'sort'     => true,
  'sql'      => 'CONCAT("$",(FORMAT(((SELECT SUM(TenantPaymentAmount) FROM Payments WHERE TenantID = PMEtable0.TenantID) - (SELECT SUM(RentAmount) FROM Charges WHERE TenantID = PMEtable0.TenantID)),2)))',
  'options'  => 'LV'
);
*/

// Now important call to phpMyEdit
require_once 'phpMyEdit.class.php';
new phpMyEdit($opts);

echo "<br>";
echo "<a href=\"./House.php\">***Return to House List***></a>";

?>

