﻿<style type="text/css">
	hr.pme-hr		     { border: 0px solid; padding: 0px; margin: 0px; border-top-width: 1px; height: 1px; }
	table.pme-main 	     { border: #004d9c 1px solid; border-collapse: collapse; border-spacing: 0px; width: 100%; }
	table.pme-navigation { border: #004d9c 0px solid; border-collapse: collapse; border-spacing: 0px; width: 100%; }
	td.pme-navigation-0, td.pme-navigation-1 { white-space: nowrap; }
	th.pme-header	     { border: #004d9c 1px solid; padding: 4px; background: #add8e6; }
	td.pme-key-0, td.pme-value-0, td.pme-help-0, td.pme-navigation-0, td.pme-cell-0,
	td.pme-key-1, td.pme-value-1, td.pme-help-0, td.pme-navigation-1, td.pme-cell-1,
	td.pme-sortinfo, td.pme-filter { border: #004d9c 1px solid; padding: 3px; }
	td.pme-buttons { text-align: left;   }
	td.pme-message { text-align: center; }
	td.pme-stats   { text-align: right;  }
</style>

<?php
include './includeRentalButtons.php';
include './includeRentalGetVariables.php';
include './includeRentalConstants.php';
include './authenticateRental.php';

$pgmname = "HouseClickOnFieldXferCurrentTenant.php";

if ($Debug) {echo "in $pgmname";}


$XferType = @$_REQUEST['XferType'];
if($XferType != NULL) {$opts['cgi']['persist'] = array('XferType' => $XferType);}

if (($XferType != 'TenantCharge') and ($XferType != 'TenantPayment') and ($XferType != 'Tenant'))
	{die ("in $pgmname; bad xfer argument, $who2contact");}   // die if not XferType arg

if (!isset($HouseID))
	{die ("in $pgmname; not HouseID in arg list, $who2contact");}   // die if not XferType arg



// We need the Tenant ID for the current tenant, in order to list charges for this house.  
// The current tenant has a 'null' END DATE

// connect to database

include 'includeRentalDatabaseConnect.php';
if (!$link) {die('Not connected : ' . mysql_error());}

// make Rental the current db
$db_selected = mysql_select_db('Rentals', $link);
if (!$db_selected) {die ('Can\'t use Rentals database : ' . mysql_error());}

if (!isset($HouseID)) {die ('<br/>No HouseID set, contact Tim');}

// fix tenant end dates that are 0000-00-00 00:00:00 to NULL

$query = sprintf("SELECT TenantEndDate FROM Tenant WHERE TenantEndDate = '0000-00-00-00:00:00'");
$result = mysql_query($query);
$numrows = mysql_num_rows($result);
$message = 'NUMROWS = ' . $numrows . ' with zero end dates';
if ($Debug) {echo "<center>Found $numrows with bad dates, autofixing...</center>";}

$query = sprintf("UPDATE Tenant SET TenantEndDate = NULL WHERE TenantEndDate = '0000-00-00 00:00:00'");
$result = mysql_query($query);
$numrows = mysql_affected_rows();
if ($Debug) {echo "<center>$numrows fixed!</center>";}

// Load Query
$query = 
//	sprintf("SELECT TenantID, TenantName from Tenant WHERE ((TenantHouseID = $HouseID) and (TenantEndDate IS NULL))");

sprintf("SELECT TenantID, TenantName from Tenant WHERE ((TenantHouseID = $HouseID) and ((TenantEndDate IS NULL) OR (TenantEndDate = '0000-00-00 00:00:00')))");
// Perform Query
$result = mysql_query($query);

$numrows = mysql_num_rows($result);
if ($Debug) {echo "...Rows returned in $pgmname=$numrows";}

if ($numrows == 0) {die ("****Need to fix TenantEndDate of 0000-00-00 00:00:00**** $who2contact");}

if ($numrows > 1)  // make sure we don't have multiple current tenants, i.e. more than 1 w/ EndDate being NULL
	{die("in $pgmname; error: more than one tenant is active for house=$HouseID, $who2contact.");}

// Check result
if (!$result) {
    $message  = 'Invalid query: ' . mysql_error() . "\n";
    $message .= 'Whole query: ' . $query;
    die($message);
}

// Use result
// Attempting to print $result won't allow access to information in the resource
// One of the mysql result functions must be used
// See also mysql_result(), mysql_fetch_array(), mysql_fetch_row(), etc.

while ($row = mysql_fetch_assoc($result)) {
    $TenantID     = $row['TenantID'];
    $TenantName   = $row['TenantName']; 
}
// include './includeRentalGetVariables.php'; // reload and reset the 'persist' cgi variable in phpMyEdit

// Free the resources associated with the result set
// This is done automatically at the end of the script
mysql_free_result($result);

if (($XferType == 'TenantCharge') or ($XferType == 'TenantPayment'))
{
	echo "<META http-equiv=\"refresh\" content=\"3;URL=./$XferType.php?TenantID=$TenantID&HouseOwnerID=$HouseOwnerID\">";
	echo "<P><P><center>Please wait...</center>";	
	echo "<P>";
	echo "<P><P><center>You will be transferred now to $XferType list for $TenantName</center>";
} else 
if ($XferType == 'Tenant') {
	echo "<META http-equiv=\"refresh\" content=\"3;URL=./$XferType.php?PME_sys_fl=0&PME_sys_fm=&PME_sys_sfn[0]=1&PME_sys_sfn[1]=0&PME_sys_operation=PME_op_View&PME_sys_rec=$TenantID&HouseID=$HouseID&HouseOwnerID=$HouseOwnerID&TenantID=$TenantID\">";
	echo "<P><P><center>Please wait...</center>";	
	echo "<P>";
	echo "<P><P><center>You will be transferred now to $XferType list for $TenantName</center>";
} else {die("in $pgmname; error: XferType not as expected, $who2contact.");}

//die ('shouldn\'t get here?');

?>
